function courbesep(coeff,couleur)

%COURBE(coeff,couleur)
%Represente les courbes separatrices pour 3 classes a partir des fonctions discriminantes contenues dans la %structure coeff fournie par la fonction CLASSIFY 
%couleur: couleur de la courbe (par exmple 'r' pour rouge (cf. PLOT)





if isfield(coeff,'quadratic')==0 
for i=1:3
for j=1:3
coeff(i,j).quadratic=zeros(2);
end
end
end
[x,y]=meshgrid(-5:0.01:5,-5:0.01:5);
Z1=coeff(1,2).const+coeff(1,2).linear(1)*x+coeff(1,2).linear(2)*y+coeff(1,2).quadratic(1,1)*x.^2+coeff(1,2).quadratic(2,2)*y.^2+2*coeff(1,2).quadratic(1,2)*x.*y;
Z2=coeff(2,3).const+coeff(2,3).linear(1)*x+coeff(2,3).linear(2)*y+coeff(2,3).quadratic(1,1)*x.^2+coeff(2,3).quadratic(2,2)*y.^2+2*coeff(2,3).quadratic(1,2)*x.*y;
Z3=coeff(3,1).const+coeff(3,1).linear(1)*x+coeff(3,1).linear(2)*y+coeff(3,1).quadratic(1,1)*x.^2+coeff(3,1).quadratic(2,2)*y.^2+2*coeff(3,1).quadratic(1,2)*x.*y;
[C1,h1]=contour(x,y,Z1+0./((Z2>0).*(Z3<0)),[0 0]);
set(h1,'Linecolor',couleur)
[C2,h2]=contour(x,y,Z2+0./((Z3>0).*(Z1<0)),[0 0]);
set(h2,'Linecolor',couleur)
[C3,h3]=contour(x,y,Z3+0./((Z1>0).*(Z2<0)),[0 0]);
set(h3,'Linecolor',couleur)

